%define module	Youri-Package-RPM-Updater
%define name	perl-%{module}
%define version 0.5.2
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Update RPM packages
License:	GPL or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source0:	http://youri.zarb.org/download/%{module}-%{version}.tar.gz
Patch0:		Youri-Package-RPM-Updater-0.5.2-rpm5-port.patch
BuildRequires:	perl(DateTime)
BuildRequires:	perl(RPM)
BuildRequires:	perl(Test::Exception)
# (tv) temporary disabled due to missing perl-SVN with new perl:
#BuildRequires:	perl(SVN::Client)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Readonly)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(YAML::AppConfig)
BuildRequires:	perl-version
Requires:	    perl-version
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module updates rpm packages. When given an explicit new version, it
updates the spec file, and downloads new sources automatically. When not given
a new version, it just updates the spec file.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# (tv) temporary disabled due to missing perl-SVN with new perl:
#%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Dec 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.2-4mdv2011.0
+ Revision: 605779
- port to rpm5 perl bindings

  + Thierry Vignaud <tv@mandriva.org>
    - temporary disable BR: perl-SVN & test suite due to missing perl-SVN with new perl
    - rebuild for new perl
    - rebuild early 2009.0 package (before pixel changes)
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - new vesion
    - new  version
    - new version
    - spec cleanup
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - new version
    - force dependency on perl-version
    - Import perl-Youri-Package-RPM-Updater

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fwang@mandriva.org>
    - rebuild

